# Generated by Django 4.2.5 on 2024-01-24 10:14

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


def migrate_location(apps, schema_editor):
    Appointment = apps.get_model("openbook_appointments", "Appointment")
    LocationDetails = apps.get_model("openbook_appointments", "LocationDetails")

    for appointment in Appointment.objects.all():
        if appointment.location:
            location_details = LocationDetails.objects.create(
                complete_address=appointment.location,
                geolocation=appointment.geolocation,
                city=None,
                state=None,
                country=None,
            )
            appointment.location_details = location_details
            appointment.save()


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_appointments", "0005_alter_appointment_slug"),
    ]

    operations = [
        migrations.CreateModel(
            name="LocationDetails",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("complete_address", models.CharField(blank=True, db_index=True, max_length=192, null=True)),
                ("geolocation", django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ("city", models.CharField(blank=True, max_length=192, null=True)),
                ("state", models.CharField(blank=True, max_length=192, null=True)),
                ("country", models.CharField(blank=True, max_length=192, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="appointment",
            name="location_details",
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="appointment",
                to="openbook_appointments.locationdetails",
            ),
        ),
        migrations.RunPython(migrate_location),
    ]
