# Generated by Django 4.0.5 on 2022-10-28 13:46

from django.db import migrations, models
import django.db.models.deletion
import openbook_common.validators
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Badge',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('keyword', models.CharField(max_length=16, unique=True)),
                ('keyword_description', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_es', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_en', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_de', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_nl', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_da', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_hu', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_sv', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_fr', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_it', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_tr', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('keyword_description_pt_br', models.CharField(blank=True, max_length=64, null=True, unique=True, verbose_name='keyword_description')),
                ('created', models.DateTimeField(editable=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EmojiGroup',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('keyword', models.CharField(max_length=32, verbose_name='keyword')),
                ('keyword_es', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_en', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_de', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_nl', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_da', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_hu', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_sv', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_fr', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_it', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_tr', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('keyword_pt_br', models.CharField(max_length=32, null=True, verbose_name='keyword')),
                ('color', models.CharField(max_length=7, validators=[openbook_common.validators.hex_color_validator], verbose_name='color')),
                ('order', models.IntegerField(default=100)),
                ('created', models.DateTimeField(editable=False)),
                ('is_reaction_group', models.BooleanField(default=False, verbose_name='is reaction group')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('code', models.CharField(max_length=12, verbose_name='code')),
                ('name', models.CharField(max_length=64, verbose_name='name')),
                ('name_es', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_en', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_de', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_nl', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_da', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_hu', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_sv', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_fr', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_it', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_tr', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('name_pt_br', models.CharField(max_length=64, null=True, verbose_name='name')),
                ('created', models.DateTimeField(editable=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProxyBlacklistedDomain',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('domain', models.CharField(max_length=150, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Emoji',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('keyword', models.CharField(max_length=16, verbose_name='keyword')),
                ('keyword_es', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_en', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_de', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_nl', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_da', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_hu', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_sv', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_fr', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_it', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_tr', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('keyword_pt_br', models.CharField(max_length=16, null=True, verbose_name='keyword')),
                ('color', models.CharField(max_length=7, validators=[openbook_common.validators.hex_color_validator], verbose_name='color')),
                ('image', models.ImageField(upload_to='', verbose_name='image')),
                ('created', models.DateTimeField(editable=False)),
                ('order', models.IntegerField(default=100)),
                ('group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='emojis', to='openbook_common.emojigroup')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
