# Generated by Django 4.1.3 on 2022-11-24 06:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_terms", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("openbook_communities", "0003_community_location_community_topics_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.CharField(max_length=128)),
                ("description", models.TextField()),
                (
                    "created",
                    models.DateTimeField(
                        default=django.utils.timezone.now, editable=False
                    ),
                ),
                ("slots_available", models.PositiveIntegerField()),
                ("slots_taken", models.PositiveIntegerField()),
                ("location", models.CharField(max_length=128)),
                (
                    "regularity",
                    models.CharField(
                        choices=[
                            ("regularly", "regularly"),
                            ("project-based", "project-based"),
                            ("one-time", "one-time"),
                        ],
                        max_length=13,
                    ),
                ),
                (
                    "community",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tasks",
                        to="openbook_communities.community",
                    ),
                ),
                (
                    "creator",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="created_tasks",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "skills",
                    models.ManyToManyField(
                        blank=True, related_name="tasks", to="openbook_terms.skill"
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
