# Generated by Django 5.0.12 on 2025-02-27 14:37

import django.contrib.postgres.fields
from django.db import migrations, models

from openbook_terms.helpers import topics_to_topic_v2_slugs, skills_to_skill_v2_slugs


def migrate_task_skills(apps, schema_editor):
    Task = apps.get_model("openbook_communities", "Task")

    for task in Task.objects.all():
        old_skills = task.skills.all()
        new_skills = skills_to_skill_v2_slugs(old_skills)

        task.skills_v2 = new_skills
        task.save()


def migrate_space_topics(apps, schema_editor):
    Community = apps.get_model("openbook_communities", "Community")

    for space in Community.objects.all():
        old_topics = space.topics.all()
        new_topics = topics_to_topic_v2_slugs(old_topics)

        space.topics_v2 = new_topics
        space.save()


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_communities", "0042_alter_collaborationtool_thumbnail"),
    ]

    operations = [
        migrations.AddField(
            model_name="community",
            name="topics_v2",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(max_length=128), blank=True, default=list, size=None
            ),
        ),
        migrations.AddField(
            model_name="task",
            name="skills_v2",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(max_length=128), blank=True, default=list, size=None
            ),
        ),
        migrations.RunPython(migrate_space_topics),
        migrations.RunPython(migrate_task_skills),
    ]
