# Generated by Django 4.2.5 on 2024-02-23 13:32

from django.db import migrations, models
import django.db.models.deletion
import openbook_common.validators
import uuid


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_common", "0002_linkpreview"),
        ("openbook_common", "0009_linkpreview_icon"),
        ("openbook_insights", "0012_rename_quote_author_quote_author_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Initiative",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                (
                    "category",
                    models.CharField(
                        choices=[
                            ("ARTICLE", "Article"),
                            ("VIDEO", "Video"),
                            ("AUDIO", "Audio"),
                            ("SOCIAL_MEDIA", "Social Media"),
                            ("POST", "Post"),
                            ("STUDY", "Study"),
                            ("DONATION_PROJECT", "Donation Project"),
                            ("VOLUNTEERING", "Volunteering"),
                            ("TIP", "Tip"),
                            ("SPACE", "Space"),
                            ("EVENT", "Event"),
                        ],
                        max_length=255,
                    ),
                ),
                ("link", models.URLField(validators=[openbook_common.validators.url_safety_validator])),
                (
                    "insight",
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="openbook_insights.insight"),
                ),
                (
                    "link_preview",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="openbook_common.linkpreview",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
